<template>
  <div>
    <div id="bidRecord_wrap">
      <div>
        <div class="content_li">
          <div class="content_item content_item_nopadding">
            <div class="include-keywords">
              <span class="lefttltel" style="	border-radius: 1px 0px 0px 1px;">项目包含</span>
              <el-input class="commonly-input" v-model="keyword" style="width: 607px;" placeholder="请输入项目名称、文章关键词，多关键词用空格隔开，如：房建 地基"></el-input>
            </div>
          </div>
          
        </div>

        <div class="land_content_wrap " style="margin-bottom:8px;">
          <div class="land_content_wrap_label" >投标报价</div>
          <el-input class="other_ipt"  placeholder="请输入最低金额" style="margin-left:12px;" @change="changeMoney('start')"  clearable  v-model="jskBidQueryDto.startBidMoney"></el-input>
          <span style="margin:0 8px;">至</span>
          <el-input style="position:relative;top:2px;" placeholder="请输入最高金额" @change="changeMoney('end')"  v-model="jskBidQueryDto.endBidMoney" clearable class="other_ipt other_ipt1">
            <el-button slot="append" type="primary">万元</el-button>
          </el-input>
		  
          <el-checkbox style="margin-left:24px;" v-model="jskBidQueryDto.hasMoney" true-label="yes" false-label="">包含投标报价未公示
         
		  </el-checkbox>
        </div>
        <div class="land_content_wrap">
          <span class="land_content_wrap_label">相关条件</span>
          <div class="select-popper" style="margin-bottom:8px;">
            <span :class="{color_text:jskBidQueryDto.province.length ||jskBidQueryDto.city.length ||jskBidQueryDto.county.length,}">
              行政区划
              {{
                jskBidQueryDto.province.length ||jskBidQueryDto.city.length ||jskBidQueryDto.county.length? jskBidQueryDto.province.length + jskBidQueryDto.city.length +jskBidQueryDto.county.length +"项": ""
              }}
              <i class="el-icon-caret-bottom"></i>
            </span>
            <el-cascader
              ref="address"
              class="cascader-region"
              v-model="addressType"
              :options="addressList"
              :props="props"
              @change="domicileChange"
              collapse-tags
              clearable
            ></el-cascader>
          </div>
          <el-dropdown @command="punishDatehandleCommand" trigger="click" ref="punishDateShowPopper" :hide-on-click="false" >
            <span class="el-dropdown-link" :class="punishDateValue ? 'color_text' : ''" >
              发布时间{{ punishDateValue ? " 1项" : ""}}
			  <i class="el-icon-caret-bottom"></i>
            </span>
            <div>
              <el-dropdown-menu slot="dropdown">
                <el-dropdown-item  v-for="(item, i) in punishDateOptions" :class=" punishDateValue && punishDateValue == item.value ? 'color_text': '' " :key="i" :command="item.value">
                  <div @mouseenter="hidePoper">{{ item.label }}</div>
                </el-dropdown-item>
                <el-dropdown-item command="自定义" style="padding: 0; text-indent: 20px">
                  <div @mouseenter="mouseenter">
                    <span :class="punishDateValue == '自定义' ? 'color_text' : ''">
                      自定义<i class="el-icon-arrow-right"></i>
                    </span>
                    <el-date-picker
                      v-if="punishDateShowPopper"
                      @change="changepunishDate"
                      class="land_date_picker"
                      v-model="punishDate"
                      ref="datePicker"
                      value-format="yyyy-MM-dd"
                      type="daterange"
                      range-separator="至"
                      start-placeholder="开始日期"
                      end-placeholder="结束日期"
                    >
                    </el-date-picker>
                  </div>
                </el-dropdown-item>
              </el-dropdown-menu>
            </div>
          </el-dropdown>
          <el-dropdown @command="tenderDatehandleCommand" trigger="click" ref="tenderDateShowPopper" :hide-on-click="false" >
            <span class="el-dropdown-link" :class="tenderDateValue ? 'color_text' : ''" >开标时间{{ tenderDateValue ? " 1项" : ""}}<i class="el-icon-caret-bottom"></i>
            
			</span>
            <div>
              <el-dropdown-menu slot="dropdown">
                <el-dropdown-item v-for="(item, i) in punishDateOptions" :class=" tenderDateValue && tenderDateValue == item.value ? 'color_text' : ''" :key="i" :command="item.value">
                  <div @mouseenter="hidePoper('bid')">{{ item.label }}</div>
                </el-dropdown-item>
                <el-dropdown-item command="自定义" style="padding: 0; text-indent: 20px">
                  <div @mouseenter="mouseenter('bid')">
                    <span :class="tenderDateValue == '自定义' ? 'color_text' : ''">自定义<i class="el-icon-arrow-right"></i></span>
                    <el-date-picker
                      v-if="tenderDateShowPopper"
                      @change="changepunishDate('bid')"
                      class="land_date_picker"
                      v-model="tenderDate"
                      ref="tenderDatePicker"
                      value-format="yyyy-MM-dd"
                      type="daterange"
                      range-separator="至"
                      start-placeholder="开始日期"
                      end-placeholder="结束日期"
                    >
                    </el-date-picker>
                  </div>
                </el-dropdown-item>
              </el-dropdown-menu>
            </div>
          </el-dropdown>
        </div>
        <div class="land_content_wrap">
          <span class="land_content_wrap_label" style="line-height:34px;">参投单位</span>
          <el-input style="margin-left:12px;" v-model="jskBidQueryDto.companyName" clearable placeholder="请输入参投单位名称关键词"> </el-input>
        </div>
          <div class="search-new" style="padding: 16px 0px 16px 76px">
            <span @click="search()">查询</span>
            <span @click="reset">重置</span>
          </div>
        <div class="data_list" v-if="showList">
          <div style="height: 16px;width: 1200px;background: #F7F9FC;margin-left: -16px;"></div>
          <div class="data_list_head">
            共为您找到<span class="data_list_count"> {{ total }} </span>条相关结果
            <div class="bottom-toolbar-right float_right" style="padding-top: 1px;">
              <el-popover v-model="fieldshow" placement="bottom-end" trigger="click" popper-class="viewlist-el-popover">
                <ul class="pup_list">
                  <li v-for="(itme,i) in fieldOptions" :class="itme.status?'active':''" @click="handsequencingList(i)" :key="i">
                    {{itme.value}}
                  </li>
                </ul>
                <span slot="reference" class="toolbar-right-download" style="width: auto;padding: 0px 8px;margin-right:4px;"  >
                  {{fieldText}}<i class="el-icon-caret-bottom" :style="{transform:fieldshow?'rotate(180deg)':''}"></i>
                </span>
              </el-popover>
			  <span size="small" class="toolbar-right-download toolbar-right-download1"  @click="search('','','isExport')">
					导出数据
			  </span>

            </div>
          </div>
          <div style="border-top:1px solid #efefef;padding-bottom:1px;width: 1200px;margin-left: -16px;" v-if="total<1"  >
            <div class="search_empty_wrap">
              <ul>
                <li class="search_empty_wrap_li search_empty_wrap_li1">没有找到相关数据，您可尝试：</li>
                <li class="search_empty_wrap_li"><i class="disc"></i>输入更准确的关键词，重新搜索</li>
                <li class="search_empty_wrap_li"><i class="disc"></i>尝试减少输入的关键词，增加搜索范围</li>
                <li class="search_empty_wrap_li"><i class="disc"></i>更换筛选条件，重新搜索</li>
                <li class="search_empty_wrap_li"><i class="disc"></i>联系客服进行反馈<span>400-023-5755</span>（工作日09:00-18:00）或<span><nuxt-link title="意见反馈" :to="`/feedback/`" target="_blank">意见反馈</nuxt-link></span></li>
              </ul>
            </div>
          </div>
         
          <div v-else>
            <div v-for="(item, index) in tableData"class="data_list_item":key="index">
              <nuxt-link class="data_list_h1 data_list_h1_1" :to="`/biz/tbjl/${item.id}.html`" target="_blank" :title="item.projectName.replace(/<font color='#FF204E'>/g,'').replace(/<\/font>/g,'')" v-if="item.id" v-html="item.projectName"></nuxt-link>
              <div class="data_list_h1" v-else v-html="item.projectName"></div>


              <div class="label_box"  v-if="item.domicile">
                  <span class="label_span label_span2">{{ item.domicile}}</span>
              </div>
              <div class="label_wrap">
                <template v-if="item.source">
					<span class="label_item">来源网站：</span>
					<span class="label_con" v-html="item.source"></span>
                </template>
                <template v-if="item.tenderTime">
                     <span class="label_item" >开标时间：</span><span class="label_con">{{ item.tenderTime }}</span>
                </template>
                <template v-if="item.punishDate">
                      <span class="label_item" >发布时间：</span>
					  <span class="label_con">{{ item.punishDate }}</span>
                </template>
              </div>

            </div>
          </div>
        </div>
      </div>
      <div class="performance_pagination_wrap" v-if="showList&&total>0">
        <Pagination
          v-if="pageFlag"
          ref="page"
		  :page='permissions.page'
          @handle-current-change="handleCurrentChange"
          @handle-size-change="handleSizeChange"
          :total="total"
        />
      </div>
    </div>
  </div>
</template>

<script>
import jsk_data from '../../../../../public/jsk.json';
export default {
  name: 'BidRecord',
  data() {
    return {
      addressList: [],
      addressType: [],
      props: {
        multiple: true,
        expandTrigger: "hover",
        value: "id",
      },
      keyword:"",
      keywordNot:"",
      fieldshow: false,
			fieldText: '默认排序',
			field: '', //查询结果排序方式
      fieldOptions: [
        {
          key: "",
          value: "默认排序",
          status: true,
        },
        {
          key: "publishDate",
          value: "发布日期从晚到早",
          status: false,
        },
      ],

      page: 1,
      limit: 20,
      punishDateOptions: [
        {
          label: "不限",
          value: "",
        },
        {
          label: "今天",
          value: "今天",
        },
        {
          label: "近3日",
          value: "近3日",
        },
        {
          label: "近7日",
          value: "近7日",
        },
        {
          label: "近1个月",
          value: "近1个月",
        },
        {
          label: "近3个月",
          value: "近3个月",
        },
        {
          label: "近半年",
          value: "近半年",
        },
        {
          label: "近1年",
          value: "近1年",
        },
      ],
      punishDateValue: "",
      jskBidQueryDto: {
        hasMoney:"",
        province: [],
        city: [],
        county: []
      },
      domicile: [],
      provinceText:[],
      provinceList:[],
      punishDate: "",
      punishDateShowPopper: false,
      tenderDateValue: "",
      tenderDate: "",
      tenderDateShowPopper: false,
      pageFlag: true,
	  conditionsArr: [],
	  
	  showList:true,
	  total:0,
	  tableData:[],
    };
  },
  computed: {
    checkJskBidQueryDto() {
        let arr = [];
		let flag = false;
		let data = {};
      if(this.keyword){
        data = {
						title: "项目包含:",
						keyid: "keyword",
						value: this.keyword,
						key: "keyword"
					}
        flag = true;
		arr.push(data)
      }
      if(this.keywordNot){
        data = {
						title: "项目排除:",
						keyid: "keywordNot",
						value: this.keywordNot,
						key: "keywordNot"
					}
        flag = true;
		arr.push(data)
      }
      if(this.jskBidQueryDto.companyName){
        data = {
						title: "参投单位:",
						keyid: "companyName",
						value: this.jskBidQueryDto.companyName,
						key: "companyName"
					}
        flag = true;
		arr.push(data)
      }
      if(this.jskBidQueryDto.startBidMoney){
        data = {
						title: "最低金额:",
						keyid: "startBidMoney",
						value: this.jskBidQueryDto.startBidMoney,
						key: "startBidMoney"
					}
        flag = true;
		arr.push(data)
      }
      if(this.jskBidQueryDto.endBidMoney){
        data = {
				title: "最高金额:",
				keyid: "endBidMoney",
				value: this.jskBidQueryDto.endBidMoney,
				key: "endBidMoney"
					}
        flag = true;
		arr.push(data)
      }
      if(this.jskBidQueryDto.hasMoney){
        data = {
				title: "包含投标报价未公示",
				keyid: "hasMoney",
				value: this.jskBidQueryDto.hasMoney,
				key: "hasMoney"
					}
        flag = true;
		arr.push(data)
      }
      if (this.domicile.length > 0) {
        data = {
          title: "行政区划:",
          keyid: "domicile",
          value: this.domicile.join(","),
          key: "domicile"
        }
        flag = true;
        arr.push(data)
      }
      if(this.punishDateValue=="自定义"){
        data = {
            title: "发布时间:",
			keyid: "punishDate",
			value: this.jskBidQueryDto.startPunishDate +"~" +this.jskBidQueryDto.endPunishDate,
			key: "punishDate"
        }
        flag = true;
		arr.push(data)
      }
      if(this.punishDateValue&&this.punishDateValue!="自定义"){
        data = {
            title: "发布时间:",
			keyid: "punishDate",
			value: this.punishDateValue,
			key: "punishDate"
        }
        flag = true;
		arr.push(data)
      }
      if(this.tenderDateValue=="自定义"){
        data = {
          title: "开标时间:",
          keyid: "tenderDate",
          value: this.jskBidQueryDto.startTenderTime +"~" +this.jskBidQueryDto.endTenderTime,
          key: "tenderDate"
        }
        flag = true;
        arr.push(data)
      }
      if(this.tenderDateValue&&this.tenderDateValue!="自定义"){
        data = {
          title: "开标时间:",
          keyid: "tenderDate",
          value: this.tenderDateValue,
          key: "tenderDate"
        }
        flag = true;
        arr.push(data)
      }
      this.conditionsArr = arr
      return flag;
    },
  },
  mounted() {
    if (this.$route.query.keyword) {
        this.keyword = this.$route.query.keyword;
      }
      this.addressListfn();
  },
  methods: {
    // 关键词推荐
    cliclikeywoder() {
      this.$refs.keyword.show();
    },
    keywordClick(val) {
      this.keyword = val
    },
	 
    refresh(value) {
      if(value) {
        this.$router.go(0)
      }
    },
    search(page, limit,exportFlag) {
      if (!page) {
        this.page = 1;
      }
      if (!limit) {
        this.limit = 20;
      }
      if (!page && !limit) {
        this.reloadPage();
      }
      var data = JSON.parse(JSON.stringify(this.jskBidQueryDto));
      data.province = data.province.join(",");
      data.city = data.city.join(",");
      data.county = data.county.join(",");
      let params = {
        page: {
          page: this.page,
          limit: this.limit,
          field: this.field,
        },
        jskBidQueryDto: data,
      };
      if(this.keyword){
        params.keyword = this.keyword
      }else{
        delete params.keyword
      }
      if(this.keywordNot){
        params.keywordNot = this.keywordNot
      }else{
        delete params.keywordNot
      }
      
      this.$emit("search",params)
      
    },
    //关闭支付弹窗
	resolve(value) {
		if (value) {
			this.$router.go(0)
		}
	},
    provinceChange(arr){
      this.provinceText = [];
      if(arr.length>0){
        arr.map(item=>{
          this.provinceText.push(item.label);
        })
      }
    },
    changeMoney(text) {
		if (
			this.jskBidQueryDto.startBidMoney &&
			this.jskBidQueryDto.endBidMoney &&
			Number(this.jskBidQueryDto.startBidMoney) >
			Number(this.jskBidQueryDto.endBidMoney)
		) {
			this.$message.warning("最低金额不能大于最高金额！");
			text == "start" ?
				(this.jskBidQueryDto.startBidMoney = "") :
				(this.jskBidQueryDto.endBidMoney = "");
		}
	},
    reloadPage() {
      this.pageFlag = false;
      this.$nextTick(() => {
        this.pageFlag = true;
      });
    },
    handleCurrentChange(page) {
      this.page = page;
      this.search(page, this.limit);
    },
    handleSizeChange(limit) {
      this.limit = limit;
      this.search(this.page, limit);
    },
    deleteDomicile() {
      this.$refs.address.handleClear();
    },
    domicileChange() {
      let arr = this.$refs.address.getCheckedNodes();
      let province = [],
        city = [],
        county = [];
      this.domicile = [];
      for (var i in arr) {
        if (arr[i].parent) {
          if (!arr[i].parent.checked) {
            arr[i].hasChildren && city.push(arr[i].value);
            arr[i].hasChildren && this.domicile.push(arr[i].label);
            !arr[i].hasChildren && county.push(arr[i].value);
            !arr[i].hasChildren && this.domicile.push(arr[i].label);
          }
        } else {
          province.push(arr[i].value);
          this.domicile.push(arr[i].label);
        }
      }
      var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
      obj.province = province;
      obj.city = city;
      obj.county = county;
      this.jskBidQueryDto = obj;
    },
    punishDatehandleCommand(command) {
      var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
      if (command && command != "自定义") {
        this.punishDateValue = command;
        this.$refs.punishDateShowPopper.hide();
        const datetime = new Date();
        var startTime, endTime, Year, Month, Day;
        Year = datetime.getFullYear();
        Month = datetime.getMonth() + 1;
        Day = datetime.getDate();
        switch (command) {
          case "今天":
            startTime = Year + "-" + Month +"-" + Day;
            endTime = Year + "-" + Month + "-" + Day;
            break;
          case "近3日":
            endTime = Year + "-" + Month + "-" + Day;
            if (Day > 3) {
              startTime = Year + "-" + Month  + "-" +(Day-3);
            } else {
              let newTime = datetime.getTime()-3*24*60*60*1000
              Year = new Date(newTime).getFullYear();
              Month = new Date(newTime).getMonth() + 1;
              Day = new Date(newTime).getDate();
              startTime = Year + "-" + Month +"-" + Day;
            }
            break;
          case "近7日":
            endTime = Year + "-" + Month + "-" + Day;
            if (Day > 7) {
              startTime = Year + "-" + Month  + "-" +(Day-7);
            } else {
              let newTime = datetime.getTime()-7*24*60*60*1000
              Year = new Date(newTime).getFullYear();
              Month = new Date(newTime).getMonth() + 1;
              Day = new Date(newTime).getDate();
              startTime = Year + "-" + Month +"-" + Day;
            }
            break;
          case "近1个月":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 1) {
              startTime = Year + "-" + (Month - 1) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 1) + "-1";
            }
            break;
          case "近3个月":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 3) {
              startTime = Year + "-" + (Month - 3) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 3) + "-1";
            }
            break;
          case "近半年":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 6) {
              startTime = Year + "-" + (Month - 6) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 6) + "-1";
            }
            break;
          case "近1年":
            startTime = Year - 1 + "-" + Month + "-" + Day;
            endTime = Year + "-" + Month + "-" + Day;
            break;
          case "自定义":
            if (!this.punishDate) {
              this.punishDateValue = "";
            }
            break;
        }
				if(startTime){
					var start=startTime.split('-');
					startTime=start.map((item)=>{
						if(item.length==1){
							return '0'+item
						}else{
							return item
						}
					})
					startTime=startTime.join('-')
				}
				if(endTime){
					var end=endTime.split('-');
					endTime=end.map((item)=>{
						if(item.length==1){
							return '0'+item
						}else{
							return item
						}
					})
					endTime=endTime.join('-')
				}
        obj.startPunishDate = startTime;
        obj.endPunishDate = endTime;
      } else if (command == "自定义") {
        this.$refs.datePicker.pickerVisible = true;
      } else {
        this.$refs.punishDateShowPopper.hide();
        this.punishDateValue = "";
        this.punishDate = "";
        obj.startPunishDate = "";
        obj.endPunishDate = "";
      }
      this.jskBidQueryDto = obj;
    },
    tenderDatehandleCommand(command) {
      var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
      if (command && command != "自定义") {
        this.tenderDateValue = command;
        this.$refs.tenderDateShowPopper.hide();
        const datetime = new Date();
        var startTime, endTime, Year, Month, Day;
        Year = datetime.getFullYear();
        Month = datetime.getMonth() + 1;
        Day = datetime.getDate();
        switch (command) {
          case "今天":
            startTime = Year + "-" + Month +"-" + Day;
            endTime = Year + "-" + Month + "-" + Day;
            break;
          case "近3日":
            endTime = Year + "-" + Month + "-" + Day;
            if (Day > 3) {
              startTime = Year + "-" + Month  + "-" +(Day-3);
            } else {
              let newTime = datetime.getTime()-3*24*60*60*1000
              Year = new Date(newTime).getFullYear();
              Month = new Date(newTime).getMonth() + 1;
              Day = new Date(newTime).getDate();
              startTime = Year + "-" + Month +"-" + Day;
            }
            break;
          case "近7日":
            endTime = Year + "-" + Month + "-" + Day;
            if (Day > 7) {
              startTime = Year + "-" + Month  + "-" +(Day-7);
            } else {
              let newTime = datetime.getTime()-7*24*60*60*1000
              Year = new Date(newTime).getFullYear();
              Month = new Date(newTime).getMonth() + 1;
              Day = new Date(newTime).getDate();
              startTime = Year + "-" + Month +"-" + Day;
            }
            break;
          case "近1个月":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 1) {
              startTime = Year + "-" + (Month - 1) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 1) + "-1";
            }
            break;
          case "近3个月":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 3) {
              startTime = Year + "-" + (Month - 3) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 3) + "-1";
            }
            break;
          case "近半年":
            endTime = Year + "-" + Month + "-" + Day;
            if (Month > 6) {
              startTime = Year + "-" + (Month - 6) + "-1";
            } else {
              startTime = Year - 1 + "-" + (12 + Month - 6) + "-1";
            }
            break;
          case "近1年":
            startTime = Year - 1 + "-" + Month + "-" + Day;
            endTime = Year + "-" + Month + "-" + Day;
            break;
          case "自定义":
            if (!this.tenderDate) {
              this.tenderDateValue = "";
            }
            break;
        }
        if(startTime){
          var start=startTime.split('-');
          startTime=start.map((item)=>{
            if(item.length==1){
              return '0'+item
            }else{
              return item
            }
          })
          startTime=startTime.join('-')
        }
        if(endTime){
          var end=endTime.split('-');
          endTime=end.map((item)=>{
            if(item.length==1){
              return '0'+item
            }else{
              return item
            }
          })
          endTime=endTime.join('-')
        }
        obj.startTenderTime = startTime;
        obj.endTenderTime = endTime;
      } else if (command == "自定义") {
        this.$refs.tenderDatePicker.pickerVisible = true;
      } else {
        this.$refs.tenderDateShowPopper.hide();
        this.tenderDateValue = "";
        this.tenderDate = "";
        obj.startTenderTime = "";
        obj.endTenderTime = "";
      }
      this.jskBidQueryDto = obj;
    },
    changepunishDate(type) {
      if(type=='bid'&&this.tenderDate){
        this.tenderDateValue = "自定义";
        var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
        obj.startTenderTime = this.tenderDate[0];
        obj.endTenderTime = this.tenderDate[1];
        this.jskBidQueryDto = obj;
      }else if(this.punishDate) {
        this.punishDateValue = "自定义";
        var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
        obj.startPunishDate = this.punishDate[0];
        obj.endPunishDate = this.punishDate[1];
        this.jskBidQueryDto = obj;
      }
    },
    addressListfn() {
      var str = [];
      for (let x = 0; x < 3; x++) {
        for (let i = 0; i < jsk_data.length; i++) {
          if (jsk_data[i].regionLevel == x + 1 && x + 1 == 1) {
            str.push({
              id: jsk_data[i].id,
              label: jsk_data[i].regionName,
              short: jsk_data[i].short,
              value: jsk_data[i].parentId,
              children:jsk_data[i].id==900000?undefined:[],
            });
          } else if (jsk_data[i].regionLevel == x + 1 && x + 1 == 2&&str) {
            for (let j = 0; j < str.length; j++) {
              if (str[j].id == jsk_data[i].parentId) {
                str[j].children.push({
                  id: jsk_data[i].id,
                  label: jsk_data[i].regionName,
                  short: jsk_data[i].short,
                  value: jsk_data[i].parentId,
                  children: [],
                });
              }
            }
          } else if (jsk_data[i].regionLevel == x + 1 && x + 1 == 3) {
            for (let j = 0; j < str.length; j++) {
              if(str[j].children){
                for (let k = 0; k < str[j].children.length; k++) {
                  if (str[j].children[k].id == jsk_data[i].parentId) {
                    str[j].children[k].children.push({
                      id: jsk_data[i].id,
                      label: jsk_data[i].regionName,
                      short: jsk_data[i].short,
                      value: jsk_data[i].parentId,
                    });
                  }
                }
              }
            }
          }
        }
      }
      this.addressList = str;
    },
    hidePoper(type) {
	    if(type=='bid'&&this.$refs.tenderDatePicker){
        this.$refs.tenderDatePicker.pickerVisible = false;
      }else if(this.$refs.datePicker){
        this.$refs.datePicker.pickerVisible = false;
      }
    },
    mouseenter(type) {
	    if(type=='bid'){
        this.tenderDateShowPopper = true;
        if(this.tenderDateValue=="自定义"){
          this.$nextTick(() => {
            this.$refs.tenderDatePicker.pickerVisible = true;
          });
        }
      }else{
        this.punishDateShowPopper = true;
        if(this.punishDateValue=="自定义"){
          this.$nextTick(() => {
            this.$refs.datePicker.pickerVisible = true;
          });
        }
      }
    },
    clearpunishDate(type) {
      var obj = JSON.parse(JSON.stringify(this.jskBidQueryDto));
	    if(type=='bid'){
        this.tenderDate = "";
        this.tenderDateValue = "";
        obj.startTenderTime = "";
        obj.endTenderTime = "";
      }else{
        this.punishDate = "";
        this.punishDateValue = "";
        obj.startPunishDate = "";
        obj.endPunishDate = "";
      }
      this.jskBidQueryDto = obj;
    },
    reset() {
      Object.assign(this.$data, this.$options.data.call(this)); //重置data
      this.init();
      this.$emit("reset");
    },
    init(){
      this.search();
      this.addressListfn();
    },
    handsequencingList(index) {
		this.fieldshow = false;
		this.field = this.fieldOptions[index].key;
		for (let i = 0; i < this.fieldOptions.length; i++) {
			this.fieldOptions[i].status = false;
		}
		this.fieldText = this.fieldOptions[index].value;
		this.fieldOptions[index].status = true;
		this.search();
	},
  },
};
</script>
<style lang="scss">
#bidRecord_wrap{
  .other_ipt {
		width: 174px;
    height: 34px;
		.el-input__inner {
			width: 174px;
		}
	}
	.other_ipt1 {
		width: 187px;
		.el-input-group__append {
			padding: 0 8px;
		}
	}
}
</style>
<style lang="scss" scoped>
#bidRecord_wrap {
  padding: 0 16px;
  font-size: 14px;

  .land_content_wrap {
    display: flex;
    line-height: 34px;
    .land_content_wrap_label {
      color: #666666;
      margin-right: 4px;
    }
  }

  .data_list {
    width: 1184px;
    margin: 0 auto;

    .data_list_head {
      height: 50px;
      line-height: 50px;
      color: #666666;

      .data_list_count {
        color: #ff2a00;
        font-weight: bold;
      }
    }

    .data_list_item {
      border-top: 1px solid #efefef;
      padding: 24px 16px;
      padding-left: 16px;
      margin-left: -16px;

      &:hover {
        background: #f5faff;
      }

      .data_list_h1 {
        width: 1168px;
        font-size: 18px;
        font-weight: bold;
        color: #333333;
        line-height: 24px;
        margin-bottom: 10px;
        text-decoration:none;
        word-break: break-all;
        display: inline-block;
      }
      .data_list_h1_1 {
        cursor: pointer;
      }
      .label_box {
        padding-bottom: 6px;
        display: flex;
        .label_span {
          padding: 0 8px;
          display: inline-block;
          height: 22px;
          line-height: 22px;
          border-radius: 2px 2px 2px 2px;
          margin-right: 8px;
          font-size: 12px;
        }

        .label_span1 {
          background: #e4f3fd;
          color: #0081ff;
        }

        .label_span2 {
          background: #f3f3ff;
          color: #8491e8;
        }

        .label_span3 {
          background: #e3f6f8;
          color: #44bcc4;
        }

        .label_span4 {
          background: #e3f6f8;
          color: #44bcc4;
        }
      }

      .label_wrap {
        font-size: 14px;
        margin-top: 10px;
        line-height: 18px;
        display: flex;
        .label_item {
          color: #999999;
        }
        .label_item1{
          position: relative;
          top: -3px;
        }
        .company {
          color: #0081ff;
          cursor: pointer;
          margin-right: 20px;
        }
        .label_con {
          color: #333333;
          margin-right: 20px;
          max-width: 900px;
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
        }

        .label_con1 {
          width: 1042px;
          display: inline-block;
          margin: 0;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
  }

  .content_li {
    padding: 16px 0;
    display: flex;
    align-items: center;
    position: relative;
    .content_item {
      .include-keywords {
        display: flex;
        align-items: center;
        position: relative;

        .lefttltel {
          display: inline-block;
          background: #f5f5f5;
          color: #333;
          border: 1px solid #efefef;
          border-right: none;
          opacity: 1;
          width: 71px;
          height: 40px;
          text-align: center;
          line-height: 40px;
        }

        .el-input {
          line-height: 40px;
          border-radius: 0;

         ::v-deep .el-input__inner {
            width: 100%;
            height: 40px;
            line-height: 40px;
            border-radius: 0;
          }
        }

        .commonly-input {
         ::v-deep .el-input__inner {
            padding-right: 100px;
          }
        }

        .commonly {
          position: absolute;
          top: 10px;
          right: 16px;
          font-size: 14px;
          font-weight: 400;
          color: #0081ff;
          cursor: pointer;
        }
      }

    }

  }
}
</style>
